import React from 'react';
import { MatchRulesTooltip } from '../MatchRulesTooltip';
import { useStyles } from './styles';
export var TransitiveMatchRulesTooltip = function (_a) {
    var transitiveMatchRules = _a.transitiveMatchRules;
    var styles = useStyles();
    return (React.createElement(React.Fragment, null, transitiveMatchRules.map(function (_a, index) {
        var label = _a.label, matchRules = _a.matchRules;
        return (React.createElement("div", { key: index, "data-reltio-id": "match-rule-wrapper", className: styles.ruleWrapper },
            React.createElement("div", { className: styles.label }, label),
            React.createElement(MatchRulesTooltip, { matchRules: matchRules })));
    })));
};
